typescript-api
TypeScript API exposed (includes definition file)
Last updated 8 years ago .
· Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install typescript-api 
SYNC missed versions from official npm registry.

TypeScript API

TypeScript API exposed (includes definition file).

This version is compatable with TypeScript 1.0.

Dependency Status NPM version Views

NPM

TypeScript Usage

First, install dt-node as a bower dependency:

$ bower install --save-dev dt-node https://github.com/jedmao/dt-node.git

Then, you can reference the typescript-api.d.ts. You have to do it this way because the typescript-api has to use the same node.d.ts that your application is using. Otherwise, it will throw compiler errors.

/// <reference path="node_modules/typescript-api/typescript-api.d.ts" />
import ts = require('typescript-api');
var compiler = new ts.TypeScriptCompiler(new ts.NullLogger());

JavaScript Usage

var ts = require('typescript-api');
var compiler = new ts.TypeScriptCompiler(new ts.NullLogger());

License

Released under the MIT license.

Bitdeli Badge

Current Tags

  • 1.0.0                                ...           latest (8 years ago)

3 Versions

  • 1.0.0                                ...           8 years ago
  • 0.9.7                                ...           8 years ago
  • 0.9.5                                ...           8 years ago
Maintainers (1)
Dependencies (1)
Dev Dependencies (0)
None

Copyright © npmmirror.com | 浙ICP备15033595号-63 |